Bug 21221 - secondary load balancer doesn't lose vips after pulse is stopped
Summary: secondary load balancer doesn't lose vips after pulse is stopped
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat High Availability Server
Classification: Retired
Component: piranha   
(Show other bugs)
Version: beta
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: Phil Copeland
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-11-22 03:25 UTC by Dan Reed
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-31 18:38:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Red Hat Bugzilla 2000-11-22 03:25:35 UTC
If there is a primary and secondary lvs router, both with pulse running, 
the first router has eth0, eth0:0, eth1, and eth1:0.  If pulse is stopped 
on the primary server, it drops the virtual ip addresses and the secondary 
picks them up.  Now pulse is started back up on the primary and after a 
minute or two (just to make sure they are talking), pulse is shut down on 
the secondary and the primary picks up, but the virtual ip addresses are 
still appearing on the secondary router.

piranha 0.4.17-7
kernel 2.2.17 with newest patches

Comment 1 Red Hat Bugzilla 2001-01-08 19:48:43 UTC
There are circumstances where this can happen and not be a bug. The active
system should always be the last one that performed arp broadcasts so arp tables
should reflect the correct system.

In order to analyze this further, we would need a copy of your config file.

Comment 2 Red Hat Bugzilla 2001-01-16 17:20:33 UTC
service = lvs
primary = 63.236.a.x
backup = 63.236.a.y
backup_active = 1
heartbeat = 1
heartbeat_port = 1050
keepalive = 3
deadtime = 9

rsh_command = rsh

network = nat
nat_router = 192.168.100.5 eth1:0

virtual web_server {
        scheduler = wlc
        persistent = 0
        pmask = 255.255.255.255
        address = 63.236.a.z eth0:0
        active = 1
        port = 80
        load_monitor = ruptime
        timeout = 5
        reentry = 10
        protocol = tcp

        server web_ftp_1 {
                address = 192.168.100.10
                active = 1
                weight = 100
        }

        server web_ftp_2 {
                address = 192.168.100.11
                active = 1
                weight = 100
        }

        server web_only {
                address = 192.168.100.12
                active = 1
                weight = 30
        }
}

virtual https_server {
        scheduler = wlc
        persistent = 0
        pmask = 255.255.255.255
        address = 63.236.a.z eth0:0
        active = 1
        port = 443
        load_monitor = ruptime
        timeout = 5
        reentry = 10
        protocol = tcp

        server web_ftp_1 {
                address = 192.168.100.10
                active = 1
                weight = 40
        }
        server web_ftp_2 {
                address = 192.168.100.11
                active = 1
                weight = 40
        }

        server web_ftp_3 {
                address = 192.168.100.12
                active = 1
                weight = 100
        }
}

Hope this helps, let me know if you need any more info...


Comment 3 Red Hat Bugzilla 2001-01-16 17:29:02 UTC
Note: this is the same person as dreed@apmsafe.com

Comment 4 Red Hat Bugzilla 2001-07-31 18:38:26 UTC
How was pluse shutdown on the secondary server?
The correct and automated way to do this is to always start pulse on the 
primary server with the force active option.  This option will automatically 
kill the secondary server when the primary takes control.

Comment 5 Red Hat Bugzilla 2001-09-13 10:12:20 UTC
Fixed in upcoming release  (piranha-0.6.x)


Note You need to log in before you can comment on or make changes to this bug.